Bug 1763284 - Review Request: libretro-pcsx-rearmed - ARM optimized PCSX fork
Summary: Review Request: libretro-pcsx-rearmed - ARM optimized PCSX fork
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 16:47 UTC by Artem
Modified: 2019-12-21 00:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-21 00:56:37 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-10-18 16:47:47 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/gnome-games/fedora-31-x86_64/01065115-libretro-pcsx-rearmed/libretro-pcsx-rearmed.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/gnome-games/fedora-31-x86_64/01065115-libretro-pcsx-rearmed/libretro-pcsx-rearmed-15-1.20191007giteb6943e.fc31.src.rpm

Description:
PCSX ReARMed is yet another PCSX fork based on the PCSX-Reloaded project, which
itself contains code from PCSX, PCSX-df and PCSX-Revolution. This version is ARM
architecture oriented and features MIPS->ARM recompiler by Ari64, NEON GTE code
and more performance improvements. It was created for Pandora handheld, but
should be usable on other devices after some code adjustments
(N900, GPH Wiz/Caanoo, PlayBook versions are also available).

PCSX ReARMed features ARM NEON GPU by Exophase, that in many cases produces
pixel perfect graphics at very high performance. There is also Una-i's GPU
plugin from PCSX4ALL project, and traditional P.E.Op.S. one.


Fedora Account System Username: atim

Comment 4 Robert-André Mauchin 🐧 2019-12-11 18:44:37 UTC
 - Public domain → Public Domain

 - Notify upstream about their use of an obsolete FSF address:

libretro-pcsx-rearmed.x86_64: E: incorrect-fsf-address /usr/share/licenses/libretro-pcsx-rearmed/COPYING


Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License (v2 or
     later)", "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or
     later)", "BSD 3-clause "New" or "Revised" License", "zlib/libpng
     license", "Expat License", "GPL (v2)", "GNU General Public License",
     "*No copyright* Public domain", "GNU Lesser General Public License (v2
     or later)", "GNU Lesser General Public License (v2.1 or later)". 298
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/libretro-pcsx-rearmed/review-libretro-pcsx-
     rearmed/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/libretro(libretro-
     prosystem, libretro-bsnes-mercury, libretro-gambatte, libretro-mgba,
     libretro-beetle-ngp, libretro-nestopia, libretro-handy, libretro-
     beetle-wswan, libretro-beetle-vb, libretro-beetle-pce-fast, libretro-
     stella2014, libretro-desmume2015)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libretro-pcsx-rearmed-15-3.20191024git4b353f8.fc32.x86_64.rpm
          libretro-pcsx-rearmed-debuginfo-15-3.20191024git4b353f8.fc32.x86_64.rpm
          libretro-pcsx-rearmed-debugsource-15-3.20191024git4b353f8.fc32.x86_64.rpm
          libretro-pcsx-rearmed-15-3.20191024git4b353f8.fc32.src.rpm
libretro-pcsx-rearmed.x86_64: W: spelling-error %description -l en_US recompiler -> recompile, recompiled, re compiler
libretro-pcsx-rearmed.x86_64: W: spelling-error %description -l en_US handheld -> handhold, hand held, hand-held
libretro-pcsx-rearmed.x86_64: W: spelling-error %description -l en_US i's -> I's, is, in's
libretro-pcsx-rearmed.x86_64: W: invalid-license Public domain
libretro-pcsx-rearmed.x86_64: E: incorrect-fsf-address /usr/share/licenses/libretro-pcsx-rearmed/COPYING
libretro-pcsx-rearmed-debuginfo.x86_64: W: invalid-license Public domain
libretro-pcsx-rearmed-debugsource.x86_64: W: invalid-license Public domain
libretro-pcsx-rearmed.src: W: spelling-error %description -l en_US recompiler -> recompile, recompiled, re compiler
libretro-pcsx-rearmed.src: W: spelling-error %description -l en_US handheld -> handhold, hand held, hand-held
libretro-pcsx-rearmed.src: W: spelling-error %description -l en_US i's -> I's, is, in's
libretro-pcsx-rearmed.src: W: invalid-license Public domain
libretro-pcsx-rearmed.src:69: W: unversioned-explicit-provides bundled(crypto)
libretro-pcsx-rearmed.src:71: W: unversioned-explicit-provides bundled(libchdr)
4 packages and 0 specfiles checked; 1 errors, 12 warnings.

Comment 5 Gwyn Ciesla 2019-12-11 19:28:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libretro-pcsx-rearmed

Comment 6 Fedora Update System 2019-12-12 12:49:36 UTC
FEDORA-2019-2059c5d670 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2059c5d670

Comment 7 Fedora Update System 2019-12-13 01:48:53 UTC
libretro-pcsx-rearmed-15-5.20191024git4b353f8.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2059c5d670

Comment 8 Fedora Update System 2019-12-21 00:56:37 UTC
libretro-pcsx-rearmed-15-5.20191024git4b353f8.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.